Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/RobotConfiguration.cpp File Reference

Implementation of class RobotConfiguration. More...

`#include "RobotConfiguration.h"`
`#include "Platform/SystemCall.h"`
`#include "Tools/Debugging/Debugging.h"`
`#include "Tools/Debugging/GenericDebugData.h"`
`#include "Tools/Streams/InStreams.h"`
`#include "Platform/ProcessFramework.h"`

Include dependency graph for RobotConfiguration.cpp:

Go to the source code of this file.

## Functions
void | setRobotConfiguration (RobotConfiguration *configuration)
| Sets the robot configuration of this process.
RobotConfiguration & | getRobotConfiguration ()
| Returns a reference to a process wide RobotConfiguration configuration.
In & | operator>> (In &stream, RobotConfiguration &robotConfiguration)
| Streaming operator that reads a RobotConfiguration from a stream.
Out & | operator<< (Out &stream, const RobotConfiguration &robotConfiguration)
| Streaming operator that writes a RobotConfiguration to a stream.
## Variables
RobotConfiguration | defaultConfiguration
| The default robot configuration is a hack for RobotControl.
GT_GLOBAL RobotConfiguration * | theRobotConfiguration = &defaultConfiguration

## Detailed Description

Implementation of class RobotConfiguration.

Author:
  Martin Lötzsch

Definition in file RobotConfiguration.cpp.

## Function Documentation

void setRobotConfiguration | ( | RobotConfiguration * | configuration | ) |

  | Sets the robot configuration of this process. Parameters:
  configuration | The configuration of this process.
Definition at line 30 of file RobotConfiguration.cpp. References theRobotConfiguration. Referenced by Process::Process(), and Process::processMain().

RobotConfiguration& getRobotConfiguration | ( |  | ) |

| Returns a reference to a process wide RobotConfiguration configuration. Definition at line 35 of file RobotConfiguration.cpp. References theRobotConfiguration. Referenced by Field::addPlayer(), Kinematics::calcAbsRollJoints(), Kinematics::calcHeadHeight(), Kinematics::calcHighestPossibleTilt(), Kinematics::calcLowestPossibleTilt(), Kinematics::calcNeckAndLegPositions(), Kinematics::calcNoseHeight(), Kinematics::calcRelativeRobotVertices(), Kinematics::calculateCameraMatrix(), GT2005BallLocator::calculatePanningVelocityValue(), Geometry::calculateScaleFactor(), BallPercept::checkOffset(), SlamSelfLocator::draw(), GT2005StableSelfLocator::draw(), GT2004SelfLocator::draw(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005GetupEngine::executeParameterized(), Kinematics::getAbsoluteRobotVertices(), Kinematics::getRelativeRobotVertices(), GT2005ColorCorrector::GT2005ColorCorrector(), GT2005HeadControl::GT2005HeadControl(), Motion::handleMessage(), Cognition::handleMessage(), HeadControl::HeadControl(), Cognition::init(), InvKinWalkingParameters::init(), GT2005HeadPathPlanner::init(), Kinematics::jointsFromLegPosition(), Kinematics::kneePositionFromJoints(), Kinematics::legPositionFromJoints(), GT2004ParametersSet::load(), ColorCorrector::load(), Debug::main(), MotionControl::MotionControl(), Process::Process(), GT2003MotionNetSpecialActions::readOdometryTable(), RobotStateDetector::RobotStateDetector(), GT2004ParametersSet::save(), SensorDataProcessor::SensorDataProcessor(), PIDData::setHeadToDefaults(), PIDData::setToDefaults(), SlamColorCorrector::SlamColorCorrector(), Kinematics::transformToLegBase(), RobotPoseSymbols::updateGoalieDefendPosition(), VLCColorCorrector::VLCColorCorrector(), and WalkingEngine::WalkingEngine().

In& operator>> | ( | In & | stream,
|  | RobotConfiguration & | robotConfiguration
| ) |

  | Streaming operator that reads a RobotConfiguration from a stream. Parameters:
  stream | The stream from which is read.
  robotConfiguration | The RobotConfiguration object.
Returns: The stream. Definition at line 116 of file RobotConfiguration.cpp.

Out& operator<< | ( | Out & | stream,
|  | const RobotConfiguration & | robotConfiguration
| ) |

  | Streaming operator that writes a RobotConfiguration to a stream. Parameters:
  stream | The stream to write on.
  robotConfiguration | The RobotConfiguration object.
Returns: The stream. Definition at line 122 of file RobotConfiguration.cpp.

## Variable Documentation

RobotConfiguration defaultConfiguration

| The default robot configuration is a hack for RobotControl. Definition at line 26 of file RobotConfiguration.cpp.

GT_GLOBAL RobotConfiguration* theRobotConfiguration = &defaultConfiguration

| Definition at line 28 of file RobotConfiguration.cpp. Referenced by getRobotConfiguration(), and setRobotConfiguration().